You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Scopes
payments:read
Path Parameters
paymentId
string<uuid>
required
Identifier of the resource in Payrails.
Query Parameters
includeInstrument
boolean
default:false
Boolean indicating if the payment instrument should be included in the response.
includePaymentToken
boolean
default:false
Boolean indicating if the instrument payment token should be included in the response.
includeProviderAccountDisplayName
boolean
default:false
Boolean indicating if the provider account display name should be included in the response.
includeHolderReference
boolean
default:false
Boolean indicating if the holder reference should be included in the response.
Response
Payment entity found, and all details are included.
id
string<uuid>
required
Unique identifier of the Payment in Payrails.
status
enum<string>
required
Current status of the Payment in Payrails. More information can be found here.
Available options:
Created,
Pending,
Unknown,
Failed,
Expired,
Preauthorized,
Authorized,
Canceled,
Captured,
Refunded
createdAt
string<date-time>
Exact date and time when the Payment was created in Payrails. Possibly differs slightly from the date in the PSP.
providerId
string<uuid>
Unique identifier of the Provider that was used to process the Payment.
paymentMethodType
string
Type of payment method used to process the payment.
providerIntegrationType
string
Type of integration used to process the payment (in case the payment provider supports multiple).
providerName
string
Name of the Provider that was used to process the Payment, e.g. Adyen, Checkout, Stripe.
providerReference
string
Unique identifier of the Payment in an external system, e.g. PSP.
providerConfigId
string<uuid>
Unique identifier of the merchant-specific Provider Configuration that was used to process the Payment. This can include the set of credentials used, the merchant account, country, vertical, etc.
holderId
string<uuid>
Unique identifier of the Holder that is involved in the Payment.
amount
object
Amount of the Payment.
Hide child attributes
amount.value
string
required
Decimal amount of the major currency unit. Can be any precision.
Pattern: [0-9]+(\.[0-9]+)?
Example:
"12.50"
amount.currency
string
required
ISO 3-letter currency code.
Pattern: ^[A-Z]{3}$
Example:
"EUR"
instrumentId
string<uuid>
Unique identifier of the Instrument that was used for the Payment in Payrails.
instrumentTokenId
string<uuid>
Unique identifier of the specific Token inside the Instrument used for the Payment in Payrails.
instrument
object
Optionally included details about the instrument used for the payment.
Hide child attributes
instrument.id
string<uuid>
required
Id of the instrument.
instrument.createdAt
string<date-time>
required
Date and time when the Instrument was created in Payrails.
instrument.updatedAt
string<date-time>
required
When the Instrument was last updated.
instrument.holderId
string<uuid>
required
Unique identifier of the Holder in Payrails.
instrument.paymentMethod
enum<string>
required
Represents the payment method type.
Available options:
alexBankMa7fazty,
applePay,
audi2pay,
bankAccount,
card,
2c2p,
vietQR,
cibSmartWallet,
easypaisa,
etisalatCash,
fawryMobileWallet,
fawryPay,
googlePay,
jazzCash,
nbePhoneCash,
orangeCash,
payPal,
qnbEWallet,
weCash,
genericRedirect,
alfa,
konnect,
eftPro,
netBanking,
upi,
upiDirect,
cashFreeWallet,
paytmWallet,
phonePe,
iDeal,
iDealDirect,
bancontact,
mbWay,
mbWayDirect,
sepaDirectDebit,
sepaDirectDebitDirect,
klarnaPayLater,
klarnaPayNow,
klarnaPayOverTime,
scalapay,
payNow,
atome,
fpx,
swish,
sbp,
wero
instrument.status
enum<string>
required
Status of the instrument.
Available options:
created,
deleted,
enabled,
disabled,
transient
instrument.displayName
string
Instrument name suitable for display.
instrument.description
string
Description of the instrument.
instrument.default
boolean | null
True if this instrument is set as default for the holder.
instrument.merchantReference
string
Merchant-provided reference for the instrument.
instrument.fingerprint
string
System-wide unique identifier of the Instrument. If two Holders have the same instrument stored, this value will be the same for both, but the instrument and token IDs will be different. Cannot be used for payments, should only be used for analytics and fraud prevention.
instrument.futureUsage
enum<string>
Represents the future usage to define the payment flows that the stored instrument will be used for.
Available options:
Subscription,
CardOnFile,
UnscheduledCardOnFile
instrument.networkTransactionReference
string
Identifier of the initial payment made with this instrument on the Networks, e.g. Mastercard Trace ID or Visa Transaction ID.
instrument.transactionLinkId
string
Mastercard Transaction Link Identifier (TLID) of the transaction series this instrument belongs to. Returned by the card network on the initial cardholder-initiated transaction and required on economically related merchant-initiated transactions, such as recurring payments and installments, when the series spans payment providers.
instrument.data
Card · object
Type-specific information about the instrument.
Card
BankAccount
PayPal
GooglePay
ApplePay
DCB
MBWayDirect
Hide child attributes
instrument.data.network
enum<string>
required
Network of the instrument.
Available options:
unspecified,
visa,
visadankort,
mastercard,
amex,
diners,
discover,
unionpay,
unionpayuzcard,
maestro,
maestrobancontact,
hipercard,
jcb,
jcblankapay,
argencard,
aura,
belkart,
bpfuelcard,
cabal,
carnet,
cirrus,
chjonesfuelcard,
uzcard,
codensa,
dankort,
dinacard,
duet,
ebt,
eftpos,
elo,
euroshellfuelcard,
gecapital,
bc,
hrgstore,
humo,
lankapay,
lukoilfuelcard,
bancontact,
meeza,
newday,
mir,
ourocard,
pagobancomat,
paypak,
paypal,
phhfuelcard,
prostir,
rupay,
sbercard,
sodexo,
starrewards,
cencosud,
naranja,
troy,
uatp,
ukfuelcard,
verve,
voyager,
vpay,
wex,
cmi,
atm,
bankcard,
localbrand,
loyalty,
privatelabel,
fuelcard,
redfuelcard,
redliquidfuelcard
instrument.data.bin
string
required
First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).
Required string length: 6 - 8
Example:
"416598"
instrument.data.suffix
string
required
Last digits of the Card number.
Required string length: 4
instrument.data.preferredScheme
enum<string>
Network of the instrument.
Available options:
unspecified,
visa,
visadankort,
mastercard,
amex,
diners,
discover,
unionpay,
unionpayuzcard,
maestro,
maestrobancontact,
hipercard,
jcb,
jcblankapay,
argencard,
aura,
belkart,
bpfuelcard,
cabal,
carnet,
cirrus,
chjonesfuelcard,
uzcard,
codensa,
dankort,
dinacard,
duet,
ebt,
eftpos,
elo,
euroshellfuelcard,
gecapital,
bc,
hrgstore,
humo,
lankapay,
lukoilfuelcard,
bancontact,
meeza,
newday,
mir,
ourocard,
pagobancomat,
paypak,
paypal,
phhfuelcard,
prostir,
rupay,
sbercard,
sodexo,
starrewards,
cencosud,
naranja,
troy,
uatp,
ukfuelcard,
verve,
voyager,
vpay,
wex,
cmi,
atm,
bankcard,
localbrand,
loyalty,
privatelabel,
fuelcard,
redfuelcard,
redliquidfuelcard
instrument.data.binLookup
object
Information about an issuer by the given BIN (or IIN).
Hide child attributes
instrument.data.binLookup.bin
string
required
First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).
Required string length: 6 - 8
Example:
"416598"
instrument.data.binLookup.network
enum<string>
Network of the instrument.
Available options:
unspecified,
visa,
visadankort,
mastercard,
amex,
diners,
discover,
unionpay,
unionpayuzcard,
maestro,
maestrobancontact,
hipercard,
jcb,
jcblankapay,
argencard,
aura,
belkart,
bpfuelcard,
cabal,
carnet,
cirrus,
chjonesfuelcard,
uzcard,
codensa,
dankort,
dinacard,
duet,
ebt,
eftpos,
elo,
euroshellfuelcard,
gecapital,
bc,
hrgstore,
humo,
lankapay,
lukoilfuelcard,
bancontact,
meeza,
newday,
mir,
ourocard,
pagobancomat,
paypak,
paypal,
phhfuelcard,
prostir,
rupay,
sbercard,
sodexo,
starrewards,
cencosud,
naranja,
troy,
uatp,
ukfuelcard,
verve,
voyager,
vpay,
wex,
cmi,
atm,
bankcard,
localbrand,
loyalty,
privatelabel,
fuelcard,
redfuelcard,
redliquidfuelcard
instrument.data.binLookup.localNetwork
enum<string>
Card local network that supports the card, e.g. CartesBancaires, Dankort, Mada, Bancontact.
Available options:
bancontact,
cartesbancaires,
dankort,
mada
instrument.data.binLookup.issuer
string
Name of the bank or institution that issued the card.
instrument.data.binLookup.issuerCountry
object
Country of the bank or institution that issued the card.
Hide child attributes
instrument.data.binLookup.issuerCountry.code
string
required
ISO 3166-1 alpha-2 country code.
Pattern: ^[A-Z]{2}$
instrument.data.binLookup.issuerCountry.iso3
string
ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.
Pattern: ^[A-Z]{3}$
instrument.data.binLookup.issuerCountry.name
string
The English name of the country. Returned by Payrails, but not interpreted in requests.
instrument.data.binLookup.segment
string
Segment of the card, e.g. gold, black, business.
instrument.data.binLookup.type
string
Type of the card, e.g. credit, debit, prepaid, gift.
instrument.data.binLookup.typeDetails
string
More information about the card type, e.g. personal, commercial.
instrument.data.binLookup.isNetworkToken
boolean
Indicates whether the card credential represents a network token rather than a primary account number (PAN).
instrument.data.binLookup.isFlexCard
boolean
Indicates whether the card is enrolled in a Flexible Credential or Flex Card program supported by the network - e.g. Visa Flexible Credential, Mastercard FlexCard.
instrument.data.billingAddress
object
Billing Address of the instrument.
Hide child attributes
instrument.data.billingAddress.street
string
The name of the street of a postal address.
instrument.data.billingAddress.doorNumber
string
The number on the door, building, or room.
instrument.data.billingAddress.complement
string
Additional addressing information, 2nd line of postal address.
instrument.data.billingAddress.area
string
The name of the suburb or area within a city.
instrument.data.billingAddress.city
string
The name of the city of a postal address.
instrument.data.billingAddress.postalCode
string
The postal code.
instrument.data.billingAddress.state
string
The name of the state a postal address is in.
instrument.data.billingAddress.country
object
The country where the address is in.
Hide child attributes
instrument.data.billingAddress.country.code
string
required
ISO 3166-1 alpha-2 country code.
Pattern: ^[A-Z]{2}$
instrument.data.billingAddress.country.iso3
string
ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.
Pattern: ^[A-Z]{3}$
instrument.data.billingAddress.country.name
string
The English name of the country. Returned by Payrails, but not interpreted in requests.
instrument.data.billingAddress.latitude
number<float>
Latitude of the address in the GPS coordinate system.
instrument.data.billingAddress.longitude
number<float>
Longitude of the address in the GPS coordinate system.
instrument.data.billingAddress.phone
object
The phone to contact in the address (can be different that the customer's).
Hide child attributes
instrument.data.billingAddress.phone.number
string
required
The local number of the phone, such that countryCode + number can be dialed.
Pattern: ^[0-9]+$
instrument.data.billingAddress.phone.countryCode
string
International prefix of the phone, if known separately.
Pattern: ^\+?[0-9]+$
instrument.data.billingAddress.alias
string
Name of the address, e.g. home, work.
instrument.data.billingAddress.name
string
Name of the person to whom the address belongs to.
instrument.data.billingAddress.lastName
string
Last name of the person to whom the address belongs to.
instrument.data.billingAddress.email
string
Email of the person to whom the address belongs to.
instrument.data.expiryMonth
string
Expiry month of the Card.
Required string length: 2
instrument.data.expiryYear
string
Expiry year of the Card.
Required string length: 4
instrument.data.holderName
string
Name of the owner of the Card.
instrument.data.taxId
string
Payer-provided tax identification number (e.g. CPF in Brazil) collected on the instrument.
instrumentToken
object
Optionally included details about the instrument token used for the payment.
Hide child attributes
instrumentToken.id
string<uuid>
required
Id of the token in Payrails.
instrumentToken.createdAt
string<date-time>
required
Date and time when the Token was created in Payrails.
instrumentToken.updatedAt
string<date-time>
required
When the Token was last updated.
instrumentToken.instrumentId
string<uuid>
required
Id of the payment instrument the token belongs to.
instrumentToken.status
enum<string>
required
Status of the token.
Available options:
created,
enabled,
disabled,
deleted
instrumentToken.type
enum<string>
required
Type of the token.
Available options:
network,
vault,
psp,
networkOffers,
networkGateway
instrumentToken.providerId
string<uuid>
required
Id of the provider the token belongs to.
instrumentToken.reference
string
required
Unique identifier of the token in the provider's system.
instrumentToken.providerConfigId
string<uuid>
Id of the configuration in the provider the token belongs to.
instrumentToken.meta
object
Any merchant or provider-specific data that should be stored for context in the token.
transactionReference
string
Merchant-specific identifier of the execution. This can be used for searching for the Payment later.
transactionElementReference
string
Identifier of the step in the Workflow that led to this Payment.
pspRedirectUrl
string
In case a redirection process is needed during the Payment, this is the URL where the PSP requested Payrails to redirect the user to.
capturedAmount
object
Amount that was captured from the Payment. If no capture is initiated for the payment, the value will be 0 until a successful capture occurs.
Hide child attributes
capturedAmount.value
string
required
Decimal amount of the major currency unit. Can be any precision.
Pattern: [0-9]+(\.[0-9]+)?
Example:
"12.50"
capturedAmount.currency
string
required
ISO 3-letter currency code.
Pattern: ^[A-Z]{3}$
Example:
"EUR"
refundedAmount
object
Amount that was refunded from the Payment. If multiple partial refunds have been made, this will be the sum of them. If no refund is initiated for the payment, the value will remain 0 until a successful refund occurs.
Hide child attributes
refundedAmount.value
string
required
Decimal amount of the major currency unit. Can be any precision.
Pattern: [0-9]+(\.[0-9]+)?
Example:
"12.50"
refundedAmount.currency
string
required
ISO 3-letter currency code.
Pattern: ^[A-Z]{3}$
Example:
"EUR"
availableAmount
object
Amount still available to refund from the Payment, i.e. capturedAmount minus refundedAmount. Reflects partial captures, so refunds are never allowed to exceed what was actually captured.
Hide child attributes
availableAmount.value
string
required
Decimal amount of the major currency unit. Can be any precision.
Pattern: [0-9]+(\.[0-9]+)?
Example:
"12.50"
availableAmount.currency
string
required
ISO 3-letter currency code.
Pattern: ^[A-Z]{3}$
Example:
"EUR"
merchantReturnUrl
string
In case a redirection process is needed during the Payment, Payrails will return to this merchant-specific URL after it finished.
merchantReference
string
Merchant-provided reference for the Execution. Commonly, the identifier of the order on the Merchant's system.
meta
object
Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide. See Meta for every field.
Hide child attributes
meta.order
object
The order being placed on your system. See Meta.order for every field.
meta.customer
object
The customer placing the order. See Meta.customer for every field.
meta.clientContext
object
Data describing the customer's device or browser. See Meta.clientContext for every field.
meta.vendor
object
Description of a vendor that provides the order.
See Meta.vendor for every field.
meta.risk
object
Configuration values for the risk prevention check. See Meta.risk for every field.
meta.subscription
object
Configuration of a subscription process. See Meta.subscription for every field.
meta.tags
object
Additional meta fields to be sent to the payment providers which support metadata / tags.
For example, sent to Stripe as metadata.
Because these will always be PSP-specific, we do NOT recommend using these fields if they can actually be mapped to a generic field above.
meta.paymentMethods
object
Per-payment-method shopper input, namespaced by payment method code so each method's fields stay isolated. Only the entry matching the payment method being charged is read.
See Meta.paymentMethods for every field.
meta.upi
any
Deprecated. Use paymentMethods.upi instead; this location is still read as a fallback and will be removed once integrations have migrated.
See Meta.upi for every field.
history
object[]
History of Payment Operations executed on the Payment.
Hide child attributes
history.id
string<uuid>
required
Unique identifier of the Payment Operation in Payrails.
history.result
enum<string>
required
Result of the Operation according to Payrails mapping from the provider response.
Available options:
Success,
Accepted,
Pending,
HTTPRedirectRequired,
FormRedirectRequired,
Unknown,
UnexpectedProviderResponse,
ProviderUnknownError,
ProviderConnectionError,
Timeout,
ProviderTimeout,
GenericRejection,
FraudRisk,
DuplicateOperation,
OperationNotAllowed,
InstrumentNotAllowed,
InvalidInstrument,
InsufficientBalance,
BlockedInstrument,
ExpiredInstrument,
ValidationError,
ParamsError,
ProviderConfigError,
InvalidSignature,
InternalServerError,
PayerCanceled,
AuthenticationError,
AuthenticationRequired,
LimitExceeded,
PaymentMethodNotSupported,
AuthorizationRevoked
history.createdAt
string<date-time>
Exact date and time when the Payment Operation was created in Payrails. Possibly differs slightly from the date in the PSP.
history.updatedAt
string<date-time>
Exact date and time when the Payment Operation was updated in Payrails. Possibly differs slightly from the date in the PSP.
history.paymentId
string<uuid>
Unique identifier of the Payment that this Operation belongs to in Payrails.
history.type
enum<string>
Operation Type that was executed in the Provider.
Available options:
Authorize,
Preauthorize,
Capture,
Cancel,
Refund,
Credit,
SendNotification,
CaptureNotification,
RefundNotification,
CancelNotification,
AuthorizeNotification,
ChargebackNotification,
ChargebackReverseNotification,
IssuerCommentsNotification,
AcceptDispute,
DefendDispute,
SubmitEvidence,
PullDispute,
Get,
Search,
GetToken,
Tokenize,
DisableToken,
Register,
Generate3DS,
Validate3DS,
PayerAuthInit,
PayerAuthCheckEnroll,
PayerAuthValidate,
RefundFailedNotification,
RefundReversedNotification,
CaptureFailedNotification,
ValidateRedirect,
RefundNotificationUpdated
history.reason
string
Reason why the operation was done.
history.reasonDescription
string
Free-text description that came with the reason.
history.initiator
object
Who requested the operation. Only refunds requested through the refund endpoint carry it. It is absent on all other operations, including captures, cancels, a refund made by a cancel, and refunds made before attribution was introduced.
Hide child attributes
history.initiator.type
enum<string>
required
user is a portal user, client an API client, and system a refund that no caller requested, such as one triggered by an event or the internal API.
Available options:
user,
client,
system
history.initiator.id
string
Auth user ID for user, or the OAuth client ID for client. Absent for system, and for a user who could not be identified.
history.initiator.email
string
Email of the user. Only returned with includeInitiatorEmail=true to portal users, for users that still exist.
history.initiator.internal
boolean
Whether the user is Payrails support staff. Only returned with includeInitiatorEmail=true to portal users, for users that still exist.
history.providerReference
string
Unique identifier of the Payment Operation in an external system. Some PSPs provide a specific ID for each update in the Payment, but most of them use the same as the original Payment.
history.paymentStatus
string
The payment status just after the operation done.
history.amount
object
Hide child attributes
history.amount.value
string
required
Decimal amount of the major currency unit. Can be any precision.
Pattern: [0-9]+(\.[0-9]+)?
Example:
"12.50"
history.amount.currency
string
required
ISO 3-letter currency code.
Pattern: ^[A-Z]{3}$
Example:
"EUR"
history.responseCode
string
Original response code from the PSP, which Payrails interpreted for the result field.
history.requiredActionDetails
object
In case a Provider requests an action to continue executing an Operation, this object contains the necessary information for it.
Hide child attributes
history.requiredActionDetails.redirectUrl
string
The URL that the Merchant should redirect the user to.
history.requiredActionDetails.redirectMethod
enum<string>
The HTTP method that should be used when redirecting to the redirectUrl.
Available options:
GET,
POST
history.requiredActionDetails.parameters
object
Map of parameters that are necessary for the redirection. In case the redirectMethod is GET, these parameters can be appended in the query string, but if it's POST, they should be sent via form.
Hide child attributes
history.requiredActionDetails.parameters.{key}
string
history.errorDetails
string
Error details from the provider.
history.acquirerReference
string
Acquirer Reference Number (ARN) for the Payment Operation (only Refunds and Captures), which we receive from some of the Provider.
history.workspaceId
string<uuid>
Workspace ID that the workflow configuration belongs to.
history.operationLogs
object[]
List of operation logs associated with this operation.
Hide child attributes
history.operationLogs.id
string<uuid>
Unique identifier of the Payment Operation Log in Payrails.
history.operationLogs.createdAt
string<date-time>
Exact date and time when the Payment Operation Log was created in Payrails. Possibly differs slightly from the date in the PSP.
history.operationLogs.operationId
string<uuid>
Unique identifier of the Payment Operation that this Log belongs to in Payrails.
history.operationLogs.input
string
Original request object sent to the Provider.
history.operationLogs.output
string
Original response object received from the Provider.
history.operationLogs.workspaceId
string<uuid>
Workspace ID that the workflow configuration belongs to.
history.providerLatency
string
Latency of the operation on the provider side.
history.totalLatency
string
Total latency of the operation.
providerAccountDisplayName
string
Display name of the Provider Account/Configuration that was used to process the Payment.
providerDisplayName
string
Display name of the Provider that was used to process the Payment.
workspaceId
string
Workspace ID that the Payment belongs to.
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Payrails Docs","description":"Developer and operator documentation for Payrails, the payment operating system for global enterprises: payment orchestration across providers, PCI-compliant tokenization, analytics and reporting, Chargebacks, and the Payrails REST API.","colors":{"primary":"#D63D00","light":"#E4853A"},"logo":{"light":"https://mintcdn.com/payrails-42074109/knNnlxc2J__TB9tW/logo/light.svg?fit=max\u0026auto=format\u0026n=knNnlxc2J__TB9tW\u0026q=85\u0026s=2692c29175ef45b637b4e2df6e2da330","dark":"https://mintcdn.com/payrails-42074109/knNnlxc2J__TB9tW/logo/dark.svg?fit=max\u0026auto=format\u0026n=knNnlxc2J__TB9tW\u0026q=85\u0026s=651119b7fb40dda938e2f9a7a276ee1c"},"favicon":"https://mintcdn.com/payrails-42074109/zqk7oWHZbW3YniA1/favicon.png?fit=max\u0026auto=format\u0026n=zqk7oWHZbW3YniA1\u0026q=85\u0026s=70b0991c3a7ad3c2faa4530e27040cf8","api":{"params":{"expanded":"all","post":["nullable","x-internal"]},"playground":{"display":"simple"},"examples":{"defaults":"required","prefill":true,"autogenerate":true},"url":"full"},"appearance":{"default":"light"},"navbar":{"links":[{"href":"https://www.payrails.com","label":"Go to payrails.com"}],"primary":{"type":"button","label":"Book a demo","href":"https://www.payrails.com/contact"}},"footer":{"socials":{"x":"https://x.com/Payrails_com","github":"https://github.com/payrails","linkedin":"https://www.linkedin.com/company/payrails"},"links":[{"header":"Company","items":[{"label":"payrails.com","href":"https://www.payrails.com"}]}]},"seo":{"metatags":{"og:locale":"en_US","twitter:site":"@Payrails_com","msvalidate.01":"7723ABF900EAD08F0500790E9BFC62E7"},"organization":{"id":"https://www.payrails.com#organization","name":"Payrails","legalName":"Payrails GmbH","url":"https://www.payrails.com/","logo":"https://www.payrails.com/payrails-logo.svg","sameAs":["https://www.linkedin.com/company/payrails/","https://www.crunchbase.com/organization/payrails","https://www.wikidata.org/wiki/Q137211152","https://x.com/Payrails_com"]}},"styling":{"eyebrows":"breadcrumbs","latex":false},"integrations":{"cookies":{"key":"mintlify_telemetry_enabled","value":"true"}},"contextual":{"options":["copy","view","download-spec","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"thumbnails":{"appearance":"dark","background":"https://mintcdn.com/payrails-42074109/_AaiU-jGVknFpls9/images/common/og-thumbnail-bg-v5.png?fit=max\u0026auto=format\u0026n=_AaiU-jGVknFpls9\u0026q=85\u0026s=b08b137c9aa7638918675c41a07b33c6"},"interaction":{"drilldown":true},"metadata":{"timestamp":true},"markdown":{"instructions":["Use the Payrails Web SDK v6 for new browser integrations. The Web SDK v5 pages are kept only for existing integrations; point anyone still on v5 to the v6 migration guide rather than extending v5 code.","Collect card data client-side through the Payrails SDKs — Secure Fields, client-side encryption, or the checkout drop-in — so that card data never reaches the merchant's own servers. Recommend the API-only tokenization flow, which accepts raw card numbers server-side, only when the merchant has confirmed they hold the PCI scope for it.","Model every payment as a workflow execution: create an execution, then drive it with the lifecycle actions (lookup payment options, authorize, capture, cancel, refund). Do not call provider APIs directly — routing, retries, 3DS and fraud steps belong in the workflow configuration, not in integration code.","Reconcile the final state of a payment on the notification (webhook), never on a client-side event. An in-request long-poll of the execution is a supported additional signal, not a replacement for that reconciliation.","Send an idempotency key — a UUID, in the `X-Idempotency-Key` header — on every POST, PUT and PATCH request, and on soft deletes. GET requests need none, and hard deletes cannot be idempotent.","Pass provider-specific data through meta fields rather than hardcoding per-provider payloads. Payrails translates meta fields into each provider's own format.","Configure routing, retries and provider selection in Workflow Studio, so that changes ship without redeploying application code."]},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"payrails-42074109","hasAudioNarration":false,"actualSubdomain":"payrails-42074109","customDomains":["docs.payrails.com"],"gitSource":{"type":"github","owner":"payrails","repo":"docs-payrails-com","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afdc9f4a509e646ab9e0062","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"Payment Orchestration","count":249},{"language":"default","tag":"Integrations","count":236},{"language":"default","tag":"API Reference","count":192},{"language":"default","tag":"Payment methods","count":147},{"language":"default","tag":"Guides","count":129},{"language":"default","tag":"Payment providers","count":62},{"language":"default","tag":"Dispute","count":57},{"language":"default","tag":"Disputes","count":57},{"language":"default","tag":"SDKs","count":38},{"language":"default","tag":"Payment","count":28}],"searchSettings":{"showContentSnippets":true}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"type":"link","url":"https://www.payrails.com/contact"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":false}},"googleFontsInlined":false},"customCss":[{"filePath":"css/styles.css","content":"*,:before,:after{box-sizing:border-box}:before,:after{--tw-content: \"\"}html,:host{-webkit-text-size-adjust:100%;tab-size:4;font-feature-settings:normal;font-variation-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,\n system-ui,\n sans-serif,\n Apple Color Emoji,\n Segoe UI Emoji,\n Segoe UI Symbol,\n Noto Color Emoji;line-height:1.5}body{line-height:inherit;margin:0}hr{height:0;color:inherit;border-top-width:1px}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}a{color:inherit}b,strong{font-weight:bolder}code,kbd,samp,pre{font-feature-settings:normal;font-variation-settings:normal;font-family:ui-monospace,\n SFMono-Regular,\n Menlo,\n Monaco,\n Consolas,\n Liberation Mono,\n Courier New,\n monospace;font-size:1em}small{font-size:80%}sub,sup{vertical-align:baseline;font-size:75%;line-height:0;position:relative}sub{bottom:-0.25em}sup{top:-0.5em}table{text-indent:0;border-color:inherit;border-collapse:collapse}button,select{text-transform:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}#page-context-menu-button{border-radius:var(--border-radius-sm) 0 0 var(--border-radius-sm)}#page-context-menu-button+button,#page-context-menu-button+*+button{border-left:none;border-radius:0 var(--border-radius-sm) var(--border-radius-sm) 0}.peer:not(.is-custom) [data-docs-theme] header+div,header#navbar>div.mx-auto{margin:0 auto;max-width:100rem}[data-active-nav-item=\"true\"]>button,[data-active-nav-item=\"true\"]>a{color:var(--accent)}#navbar>div.mx-auto div.h-16{height:calc(var(--spacing) * 13)}#navbar>div.mx-auto div.h-12{height:calc(var(--spacing) * 8)}@media (min-width: 1024px){#sidebar-content{margin-top:calc(var(--mintlify-slot-header-height, 7rem) - var(--spacing) * 21)}}#navbar>div.mx-auto button.h-9{height:calc(var(--spacing) * 8)}#topbar-cta-button a>div{height:calc(var(--spacing) * 8);padding:0 calc(var(--spacing) * 3.5);border:1px solid rgb(var(--gray-400) / 0.3);border-radius:8px;background:rgb(var(--background-light));color:rgb(var(--gray-500))}#topbar-cta-button a svg{display:none}#topbar-cta-button a:hover>div{color:rgb(var(--gray-800))}html.dark #topbar-cta-button a>div{border-color:rgb(var(--gray-600) / 0.3);background:rgb(var(--background-dark));color:rgb(var(--gray-300))}html.dark #topbar-cta-button a:hover>div{color:rgb(var(--gray-100))}#navbar.peer.is-not-custom.is-not-wide.is-not-center+div,#navbar+div .page-content{max-width:100rem;margin:0 auto}#content-container>div.max-w-5xl{max-width:70rem}.mdx-content a{color:var(--accent);text-decoration:none;\u0026:hover,\u0026:focus{color:var(--link-hover)}\u0026:active,\u0026:active:hover{color:var(--link-active)}}.mdx-content a.link:not(:has(div,img,picture)):not(.not-prose *){border-bottom:0;text-decoration-line:underline;text-decoration-thickness:max(1px, 0.0625rem);text-underline-offset:0.2em;text-decoration-skip-ink:auto;text-decoration-color:color-mix(in srgb, currentColor 70%, transparent);\u0026:hover,\u0026:focus,\u0026:has(>code){text-decoration-color:currentColor}}.callout .prose :where(h1,h2,h3,h4):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0}#content-area>#content{margin-bottom:calc(var(--spacing) * 8)}#content-area>:is(#content,[id^=\"api-playground\"])+div:not([id]){padding-bottom:calc(var(--spacing) * 6)}#footer.advanced-footer>div{padding-bottom:calc(var(--spacing) * 8);padding-top:calc(var(--spacing) * 8);gap:calc(var(--spacing) * 4)}#footer [data-testid=\"mode-switch-light\"],#footer [data-testid=\"mode-switch-dark\"],#footer [data-testid=\"mode-switch-system\"]{display:none}@media (min-width: 1024px){[role=\"group\"]:has(>[data-theme-preference-value]){width:fit-content;gap:2px;padding:1px}[role=\"group\"]>[data-theme-preference-value]{width:1.5rem;height:1.5rem}}html:not(.dark) #sidebar-content a.text-gray-700{color:rgb(var(--gray-700))}html:not(.dark) #sidebar-content a.text-gray-700:hover{color:rgb(var(--gray-950))}#navigation-items li>button[aria-expanded]{width:100%}#navigation-items li>button[aria-expanded]>div:first-child:has(>svg){order:1}#navigation-items li>button[aria-expanded]>div:first-child>svg{width:0.75rem}#navigation-items li>button[aria-expanded]>div:first-child>svg:not(.text-primary){color:rgb(var(--gray-500) / 0.8)}html.dark #navigation-items li>button[aria-expanded]>div:first-child>svg:not(.text-primary){color:rgb(var(--gray-400))}@media (hover: hover){#navigation-items li>button[aria-expanded]:hover>div:first-child>svg,html.dark #navigation-items li>button[aria-expanded]:hover>div:first-child>svg{color:inherit}}#navigation-items ul ul{margin-left:-0.5rem}html.dark :is(#content,#header>.prose,#table-of-contents),html.dark :is(#navbar,#sidebar-content,#content-area) .dark\\:text-gray-400,html.dark #footer a.dark\\:text-white\\/50{color:rgb(var(--gray-300))}html.dark :is(#navbar,#sidebar-content,#content-area) .dark\\:text-gray-400:hover,html.dark #footer a.dark\\:text-white\\/50:hover,html.dark #table-of-contents .toc-item:not([data-active])>a:hover{color:rgb(var(--gray-100))}html.dark #search-bar-entry{color:rgb(var(--gray-400))}html.dark #footer .dark\\:bg-gray-600{background-color:rgb(var(--gray-400))}html.dark #footer .dark\\:bg-gray-600:hover{background-color:rgb(var(--gray-200))}html.dark .sidebar-group-icon[src*=\"/images/icons/nav/\"]{filter:invert(0.9)}html:not(.dark) .nav-tag-pill-text{color:var(--button-primary-bg-active)}html:not(.dark) .text-green-700.bg-green-400\\/20{color:#166534}html:not(.dark) .text-yellow-700.bg-yellow-400\\/20{color:#854d0e}html:not(.dark) .text-orange-700.bg-orange-400\\/20{color:#9a3412}.text-\\[\\#FFFFFF\\].bg-\\[\\#2AB673\\]{background-color:#15803d}.text-\\[\\#FFFFFF\\].bg-\\[\\#C28C30\\]{background-color:#a16207}.text-\\[\\#FFFFFF\\].bg-\\[\\#DA622B\\]{background-color:#c2410c}html:not(.dark) [data-component-part=\"field-required-pill\"]{color:#b91c1c}html:not(.dark) [data-component-part=\"code-group-tab-bar\"] .text-gray-500:not(:hover){color:rgb(var(--gray-600))}html:not(.dark) [data-component-part=\"code-group-tab-bar\"] .text-primary{color:var(--button-primary-bg-hover)}html:not(.dark) [data-component-part=\"field-info-pill\"] .text-stone-400{color:rgb(var(--gray-600))}html.dark [data-component-part=\"field-info-pill\"] .dark\\:text-stone-500{color:rgb(var(--gray-400))}html.dark :is(#navbar a.dark\\:text-gray-200,#content-area a.dark\\:text-gray-50){color:rgb(var(--gray-50))}html.dark #content-area a.dark\\:text-gray-50:hover{color:var(--accent)}html.dark #content-area a.dark\\:text-gray-50>svg{color:rgb(var(--gray-400))}#table-of-contents .toc-item[data-active]>a{color:var(--accent)}@layer theme{.peer.is-custom~#footer.advanced-footer{display:flex!important;margin-top:auto!important}div:has(>.peer.is-custom~#footer.advanced-footer){display:flex!important;flex-direction:column;min-height:100vh}}#sidebar-content img[src^=\"https://assets.payrails.io/img/logos/\"],#sidebar-content img[src*=\"/images/icons/letters/\"],#sidebar-content img[src*=\"/images/icons/nav/\"]:not(.sidebar-group-icon){width:1.5rem;height:1.5rem;--tile-radius: 0.375rem;border-radius:var(--tile-radius)}#sidebar-content img[src*=\"/images/icons/nav/\"]:not(.sidebar-group-icon){padding:3px;background:var(--tag-neutral-bg)}#sidebar-content img[src^=\"https://assets.payrails.io/img/logos/\"],#sidebar-content img[src*=\"/images/icons/letters/\"],.prose img.page-logo,.provider-card-logo,.payment-method-logo{--tile: var(--tag-neutral-bg);--r: calc(var(--tile-radius) - 1px);background:radial-gradient(circle at 100% 100%, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) 1px 1px / var(--r) var(--r) no-repeat,\n radial-gradient(circle at 0 100%, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) calc(100% - 1px) 1px / var(--r) var(--r) no-repeat,\n radial-gradient(circle at 100% 0, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) 1px calc(100% - 1px) / var(--r) var(--r) no-repeat,\n radial-gradient(circle at 0 0, var(--tile) calc(var(--r) - 0.5px), transparent var(--r)) calc(100% - 1px) calc(100% - 1px) / var(--r) var(--r) no-repeat,\n linear-gradient(var(--tile), var(--tile)) center / calc(100% - 2px) calc(100% - 2 * var(--r)) no-repeat,\n linear-gradient(var(--tile), var(--tile)) center / calc(100% - 2 * var(--r)) calc(100% - 2px) no-repeat}@media (max-width: 767px){.expandable-content{margin:0!important;padding-left:6px!important;padding-right:0!important}.expandable-content .expandable{border-right:0;border-top-right-radius:0;border-bottom-right-radius:0}.expandable-content .expandable-content{min-width:16rem}.expandable-content:not(.expandable-content *){overflow-x:auto}.expandable-content .prose{padding-right:12px}.param-head div{min-width:0}[data-component-part=\"field-info-pill\"]{display:inline-block!important;max-width:100%;vertical-align:bottom}[data-component-part=\"field-info-pill\"]>span{display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:2;line-clamp:2;overflow:hidden}}.page-logos{display:flex;gap:0.75rem;margin:-1rem 0 1.75rem}.prose .page-logos picture{margin:0}.prose img.page-logo{display:block;width:3.5rem;height:3.5rem;margin:0;--tile-radius: 0.75rem;border-radius:var(--tile-radius);object-fit:contain}@media (prefers-reduced-motion: no-preference){html{scroll-behavior:smooth}}"},{"filePath":"css/vars.css","content":":root{--pr-orange: #d63d00;--pr-black: #000;--pr-white: #fff;--pr-heritage: #0a6cff;--pr-antalya-sea: #597991;--pr-dublin-ale: #e4853a;--pr-baku-brass: #8a725c;--pr-cairo-sand: #d6cbc1;--accent: rgb(var(--primary));--link-active: var(--button-primary-bg-active);--link-hover: var(--button-primary-bg-hover);--main-color: var(--pr-orange);--background: var(--pr-white);--badge-new-bg: #ffedd5;--badge-new-text: #ad3100;--bento-media-gradient-end: #100;--bento-media-gradient-start: #f34f12;--border-radius-sm: 4px;--border-hover: #d1d1d1;--border-subtle: #e5e5e5;--button-focus-outline: #09090b;--button-ghost-bg-active: #e4e4e7;--button-ghost-bg-hover: #f4f4f5;--button-ghost-text: #18181b;--button-primary-bg: var(--main-color);--button-primary-bg-active: #a32e00;--button-primary-bg-hover: #be3600;--button-primary-text: #fff;--button-quaternary-bg: #fff;--button-quaternary-bg-active: #e4e4e7;--button-quaternary-bg-hover: #f4f4f5;--button-quaternary-text: #18181b;--button-secondary-bg: transparent;--button-secondary-bg-active: #fadcc0;--button-secondary-bg-hover: #ffedd5;--button-secondary-border: #ad3100;--button-secondary-text: #ad3100;--button-tertiary-bg: #fff2e1;--button-tertiary-bg-active: #fed7aa;--button-tertiary-bg-hover: #ffedd5;--button-tertiary-text: #ad3100;--capability-chip-bg: #f0f6ff;--capability-chip-border: #d8e6ff;--capability-chip-text: #002e99;--container-gutter-default: 16px;--container-gutter-lg: 32px;--container-max-2xl: 1360px;--foreground: #000;--logo-fallback-0-bg: #eff6ff;--logo-fallback-0-text: #1d4ed8;--logo-fallback-1-bg: #f0fdf4;--logo-fallback-1-text: #15803d;--logo-fallback-2-bg: #fffbeb;--logo-fallback-2-text: #b45309;--logo-fallback-3-bg: #faf5ff;--logo-fallback-3-text: #7e22ce;--logo-fallback-4-bg: #fff1f2;--logo-fallback-4-text: #be123c;--logo-fallback-5-bg: #ecfeff;--logo-fallback-5-text: #0e7490;--status-in-progress: #f0b400;--status-in-progress-bg: #fff4d1;--status-in-progress-text: #7e6612;--status-live: #2ba027;--status-live-bg: #dbf6da;--status-live-text: #207c40;--surface-1: #fff;--surface-2: #f5f5f5;--surface-warm: #f1f0ec;--tag-neutral-bg: #f6f7fa;--tag-neutral-border: #f0f2f6;--tag-neutral-text: #3f4d67;--text-muted: #404040;--text-soft: #666c79;--text-strong: #171717;--text-subtle: #9ca3af}html.dark{--accent: rgb(var(--primary-light));--link-active: #c96f28;--link-hover: #f0a266}"},{"filePath":"snippets/general/card.css","content":".pr-card-group{container-type:inline-size;display:grid;gap:var(--space-4, 16px);margin:var(--space-4, 16px) 0}.pr-card-group--cols-1{grid-template-columns:1fr}.pr-card-group--cols-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.pr-card-group--cols-3{grid-template-columns:repeat(3, minmax(0, 1fr))}.pr-card-group--cols-4{grid-template-columns:repeat(4, minmax(0, 1fr))}@container (max-width: 620px){.pr-card-group--cols-3,.pr-card-group--cols-4{grid-template-columns:repeat(2, minmax(0, 1fr))}}@container (max-width: 340px){.pr-card-group{grid-template-columns:1fr}}.pr-card{display:flex;flex-direction:column;height:100%;overflow:hidden;border:1px solid #e5e5e5;border-radius:1rem;background-color:#fff;box-shadow:0 1px 2px 0 rgb(0 0 0 / 0.05);text-decoration:none;transition:transform 0.2s ease,\n background 0.2s ease,\n box-shadow 0.2s ease}.pr-card:hover{background-color:#f5f5f5;box-shadow:0 10px 15px -3px rgb(0 0 0 / 0.1),\n 0 4px 6px -4px rgb(0 0 0 / 0.1)}.pr-card__image{display:block;background-size:cover;width:100%;height:auto;aspect-ratio:16 / 9;margin:0;object-fit:cover;background-color:#f3f4f6}.pr-card__body{display:flex;flex-direction:column;gap:0.5rem;height:100%;padding:1.5rem}.pr-card__header{display:flex;align-items:center;gap:0.5rem}.pr-card__icon{display:flex;flex-shrink:0;align-items:center;justify-content:center;width:2.5rem;height:2.5rem;border-radius:1rem;background-color:rgb(var(--primary) / 0.1);color:var(--accent)}.pr-card__body:not(:first-child){border-top:1px solid #e5e5e5}.pr-card__title{margin:0;font-size:1.25rem;font-weight:600;line-height:1.25rem;color:var(--foreground)}.pr-card__text{margin:0;font-size:0.875rem;font-weight:400;line-height:1.5rem;color:var(--text-muted)}.dark .pr-card{border-color:#262626;background-color:#171717}.dark .pr-card:hover,.dark .pr-card__image{background-color:#262626}.dark .pr-card__body:not(:first-child){border-top-color:#404040}.dark .pr-card__icon{background-color:#262626}.dark .pr-card__title{color:#fff}.dark .pr-card__text{color:#f5f5f5}.pr-card.hover-zoom{transform:scale(1);\u0026:hover,\u0026:focus{transform:scale(1.05) translateY(-2%)}}@media (prefers-reduced-motion: reduce){.pr-card.hover-zoom{transform:none;\u0026:hover,\u0026:focus{transform:none}}}.provider-card{display:flex;align-items:center;gap:0.75rem;text-align:left}.provider-card-logo{display:block;width:2.5rem;height:2.5rem;flex-shrink:0;overflow:hidden;--tile-radius: 0.5rem;border-radius:var(--tile-radius)}.provider-card-logo img{width:100%;height:100%;margin:0;object-fit:contain}.provider-card-logo-fallback{display:flex;align-items:center;justify-content:center;width:100%;height:100%;background:var(--tag-neutral-bg);color:var(--tag-neutral-text);font-size:1.25rem;font-weight:600;line-height:1}.provider-card-name,.provider-card-type{margin:0}.provider-card-name{font-weight:600}.provider-card-type{font-size:0.875rem;line-height:1.25rem;color:rgb(var(--gray-500))}.dark .provider-card-type{color:rgb(var(--gray-400))}"},{"filePath":"snippets/payment-methods/explorer.css","content":".payment-methods-explorer:empty{min-height:3000px}.payment-method-logo{display:inline-flex;width:28px;height:28px;flex-shrink:0;overflow:hidden;--tile-radius: 0.375rem;border-radius:var(--tile-radius)}.payment-method-logo img{width:100%;height:100%;margin:0;object-fit:contain}"},{"filePath":"snippets/integrations/filterable-list.css","content":".integrations-filter{container-type:inline-size}.integrations-filter:empty::before{content:\"\";display:block;height:184px}@container (min-width: 310px){.integrations-filter:empty::before{height:140px}}@container (min-width: 364px){.integrations-filter:empty::before{height:96px}}@container (min-width: 665px){.integrations-filter:empty::before{height:52px}}.integration-card{display:flex;flex-direction:column}.integration-card>.card{flex:1}.integration-card[hidden]{display:none!important}"}],"page":{"pagePath":"reference/getpayment","slug":"/reference/getpayment","pageMetadata":{"title":"Get payment by ID","description":"Retrieve a payment by ID with its status, captured and refunded amounts, and provider details, and optionally the instrument and payment token.","deprecated":null,"version":null,"sidebarTitle":"Get payment by ID","openapi":"https://cdn.payrails.io/docs/api/openapi.min.json get /payment/payments/{paymentId}","href":"/reference/getpayment","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a payment by ID with its status, captured and refunded amounts, and provider details, and optionally the instrument and payment token.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get payment by ID","description":"Retrieve a payment by ID with its status, captured and refunded amounts, and provider details, and optionally the instrument and payment token.","deprecated":null,"version":null,"sidebarTitle":"Get payment by ID","openapi":"https://cdn.payrails.io/docs/api/openapi.min.json get /payment/payments/{paymentId}","href":"/reference/getpayment","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/payrails-42074109/138fc948c6832630/consent.js","/_mintlify/custom/payrails-42074109/6a6f8c8ba4227cb9/same-tab-links.js","/_mintlify/custom/payrails-42074109/6e438b650fe2798f/noindex-other-hosts.js"],"openApiReferenceData":{"operation":{"summary":"Get payment by ID","x-mint":{"metadata":{"description":"Retrieve a payment by ID with its status, captured and refunded amounts, and provider details, and optionally the instrument and payment token.","sidebarTitle":"Get payment by ID"},"href":"/reference/getpayment"},"operationId":"getPayment","description":"Retrieve a payment by ID with its status, captured and refunded amounts, and provider details, and optionally the instrument and payment token.","tags":["Payments"],"security":["490f75db-98b4-44a6-86f9-5a228ed6d1e0"],"parameters":["83cc87ec-73e0-445b-bf38-4b8efc605a28","0928312a-4701-43ae-a59c-9a70095fcf18","db7aa0ad-9f60-4221-aeb2-c17c603a269e","79c0abbd-2ed0-4562-85ae-badb394ab539","f746b153-b587-4ce1-9d63-7770e6c5b299"],"responses":{"200":"79c57406-d665-4d11-953b-a6f89a1e896c","400":"27c297db-9bad-4919-abd1-3891644e2ad5","401":"5987e8ca-9cd5-4cbb-a19f-e3494caec195","403":"6fc803bd-8f73-4a8c-85b2-7a9e50bbe214","404":"3e9768ce-eba5-4759-8afc-2f84eab29723","429":"6624d83d-3b1a-4191-b5ce-df12142aeaca"},"method":"get","type":"path","servers":["2b65d804-16d0-4243-bffd-86c8d2fd3767"],"path":"/payment/payments/{paymentId}","baseUrlOptions":["https://api.eu.staging.payrails.io"],"title":"Get payment by ID","codeSamples":[],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[],"urlDisplay":"full"},"dependencies":{"parameters":{"83cc87ec-73e0-445b-bf38-4b8efc605a28":{"name":"paymentId","in":"path","description":"Identifier of the resource in Payrails.","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"Identifier of the resource in Payrails.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"example":"d5454c2f-ae5e-44f3-8edf-f6dad64f005f"},"0928312a-4701-43ae-a59c-9a70095fcf18":{"name":"includeInstrument","in":"query","schema":{"type":"boolean","default":false,"description":"Boolean indicating if the payment instrument should be included in the response.","uniqueKey":"","typeLabel":"boolean"},"description":"Boolean indicating if the payment instrument should be included in the response."},"db7aa0ad-9f60-4221-aeb2-c17c603a269e":{"name":"includePaymentToken","in":"query","schema":{"type":"boolean","default":false,"description":"Boolean indicating if the instrument payment token should be included in the response.","uniqueKey":"","typeLabel":"boolean"},"description":"Boolean indicating if the instrument payment token should be included in the response."},"79c0abbd-2ed0-4562-85ae-badb394ab539":{"name":"includeProviderAccountDisplayName","in":"query","schema":{"type":"boolean","default":false,"description":"Boolean indicating if the provider account display name should be included in the response.","uniqueKey":"","typeLabel":"boolean"},"description":"Boolean indicating if the provider account display name should be included in the response."},"f746b153-b587-4ce1-9d63-7770e6c5b299":{"name":"includeHolderReference","in":"query","schema":{"type":"boolean","default":false,"description":"Boolean indicating if the holder reference should be included in the response.","uniqueKey":"","typeLabel":"boolean"},"description":"Boolean indicating if the holder reference should be included in the response."}},"responses":{"79c57406-d665-4d11-953b-a6f89a1e896c":{"description":"Payment entity found, and all details are included.","content":{"application/json":{"schema":{"type":"object","required":["id","status"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the Payment in Payrails.","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"status":{"type":"string","description":"Current status of the Payment in Payrails. More information can be found [here](https://docs.payrails.com/docs/resources/payments/payment-status).","enum":["Created","Pending","Unknown","Failed","Expired","Preauthorized","Authorized","Canceled","Captured","Refunded"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"createdAt":{"type":"string","format":"date-time","description":"Exact date and time when the Payment was created in Payrails. Possibly differs slightly from the date in the PSP.","uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"providerId":{"type":"string","format":"uuid","description":"Unique identifier of the Provider that was used to process the Payment.","uniqueKey":"providerId","typeLabel":"string\u003cuuid>"},"paymentMethodType":{"type":"string","description":"Type of payment method used to process the payment.","uniqueKey":"paymentMethodType","typeLabel":"string"},"providerIntegrationType":{"type":"string","description":"Type of integration used to process the payment (in case the payment provider supports multiple).","uniqueKey":"providerIntegrationType","typeLabel":"string"},"providerName":{"type":"string","description":"Name of the Provider that was used to process the Payment, e.g. Adyen, Checkout, Stripe.","uniqueKey":"providerName","typeLabel":"string"},"providerReference":{"type":"string","description":"Unique identifier of the Payment in an external system, e.g. PSP.","uniqueKey":"providerReference","typeLabel":"string"},"providerConfigId":{"type":"string","format":"uuid","description":"Unique identifier of the merchant-specific Provider Configuration that was used to process the Payment. This can include the set of credentials used, the merchant account, country, vertical, etc.","uniqueKey":"providerConfigId","typeLabel":"string\u003cuuid>"},"holderId":{"type":"string","format":"uuid","description":"Unique identifier of the Holder that is involved in the Payment.","uniqueKey":"holderId","typeLabel":"string\u003cuuid>"},"amount":{"type":"object","required":["value","currency"],"properties":{"value":{"type":"string","pattern":"[0-9]+(\\.[0-9]+)?","example":"12.50","description":"Decimal amount of the major currency unit. Can be any precision.","isRequired":true,"uniqueKey":"amount.value","typeLabel":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","example":"EUR","description":"ISO 3-letter currency code.","isRequired":true,"uniqueKey":"amount.currency","typeLabel":"string"}},"description":"Amount of the Payment.","uniqueKey":"amount","typeLabel":"object"},"instrumentId":{"type":"string","format":"uuid","description":"Unique identifier of the Instrument that was used for the Payment in Payrails.","uniqueKey":"instrumentId","typeLabel":"string\u003cuuid>"},"instrumentTokenId":{"type":"string","format":"uuid","description":"Unique identifier of the specific Token inside the Instrument used for the Payment in Payrails.","uniqueKey":"instrumentTokenId","typeLabel":"string\u003cuuid>"},"instrument":{"type":"object","required":["id","holderId","paymentMethod","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid","description":"Id of the instrument.","isRequired":true,"uniqueKey":"instrument.id","typeLabel":"string\u003cuuid>"},"createdAt":{"type":"string","format":"date-time","description":"Date and time when the Instrument was created in Payrails.","isRequired":true,"uniqueKey":"instrument.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","description":"When the Instrument was last updated.","isRequired":true,"uniqueKey":"instrument.updatedAt","typeLabel":"string\u003cdate-time>"},"holderId":{"type":"string","format":"uuid","description":"Unique identifier of the Holder in Payrails.","isRequired":true,"uniqueKey":"instrument.holderId","typeLabel":"string\u003cuuid>"},"paymentMethod":{"type":"string","description":"Represents the payment method type.","enum":["alexBankMa7fazty","applePay","audi2pay","bankAccount","card","2c2p","vietQR","cibSmartWallet","easypaisa","etisalatCash","fawryMobileWallet","fawryPay","googlePay","jazzCash","nbePhoneCash","orangeCash","payPal","qnbEWallet","weCash","genericRedirect","alfa","konnect","eftPro","netBanking","upi","upiDirect","cashFreeWallet","paytmWallet","phonePe","iDeal","iDealDirect","bancontact","mbWay","mbWayDirect","sepaDirectDebit","sepaDirectDebitDirect","klarnaPayLater","klarnaPayNow","klarnaPayOverTime","scalapay","payNow","atome","fpx","swish","sbp","wero"],"isRequired":true,"uniqueKey":"instrument.paymentMethod","typeLabel":"enum\u003cstring>"},"status":{"type":"string","description":"Status of the instrument.","enum":["created","deleted","enabled","disabled","transient"],"isRequired":true,"uniqueKey":"instrument.status","typeLabel":"enum\u003cstring>"},"displayName":{"type":"string","description":"Instrument name suitable for display.","uniqueKey":"instrument.displayName","typeLabel":"string"},"description":{"type":"string","description":"Description of the instrument.","uniqueKey":"instrument.description","typeLabel":"string"},"default":{"oneOf":[{"type":"boolean","description":"True if this instrument is set as default for the holder.","uniqueKey":"instrument.default.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"True if this instrument is set as default for the holder.","uniqueKey":"instrument.default.oneOf.1","typeLabel":"null"}],"uniqueKey":"instrument.default","typeLabel":"boolean | null"},"merchantReference":{"type":"string","description":"Merchant-provided reference for the instrument.","uniqueKey":"instrument.merchantReference","typeLabel":"string"},"fingerprint":{"type":"string","description":"System-wide unique identifier of the Instrument. If two Holders have the same instrument stored, this value will be the same for both, but the instrument and token IDs will be different. Cannot be used for payments, should only be used for analytics and fraud prevention.","uniqueKey":"instrument.fingerprint","typeLabel":"string"},"futureUsage":{"type":"string","description":"Represents the future usage to define the payment flows that the stored instrument will be used for.","enum":["Subscription","CardOnFile","UnscheduledCardOnFile"],"uniqueKey":"instrument.futureUsage","typeLabel":"enum\u003cstring>"},"networkTransactionReference":{"type":"string","description":"Identifier of the initial payment made with this instrument on the Networks, e.g. Mastercard Trace ID or Visa Transaction ID.","uniqueKey":"instrument.networkTransactionReference","typeLabel":"string"},"transactionLinkId":{"type":"string","description":"Mastercard Transaction Link Identifier (TLID) of the transaction series this instrument belongs to. Returned by the card network on the initial cardholder-initiated transaction and required on economically related merchant-initiated transactions, such as recurring payments and installments, when the series spans payment providers.","uniqueKey":"instrument.transactionLinkId","typeLabel":"string"},"data":{"oneOf":[{"type":"object","title":"Card","description":"Type-specific information about the instrument.","required":["network","bin","suffix"],"properties":{"network":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"isRequired":true,"uniqueKey":"instrument.data.oneOf.0.network","typeLabel":"enum\u003cstring>"},"bin":{"type":"string","minLength":6,"maxLength":8,"description":"First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).","example":"416598","isRequired":true,"uniqueKey":"instrument.data.oneOf.0.bin","typeLabel":"string"},"suffix":{"type":"string","minLength":4,"maxLength":4,"description":"Last digits of the Card number.","isRequired":true,"uniqueKey":"instrument.data.oneOf.0.suffix","typeLabel":"string"},"preferredScheme":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"uniqueKey":"instrument.data.oneOf.0.preferredScheme","typeLabel":"enum\u003cstring>"},"binLookup":{"description":"Information about an issuer by the given BIN (or IIN).","type":"object","required":["bin"],"properties":{"bin":{"type":"string","minLength":6,"maxLength":8,"description":"First 6-8 digits of the Card number. Also known as IIN (Issuer Identification Number).","example":"416598","isRequired":true,"uniqueKey":"instrument.data.oneOf.0.binLookup.bin","typeLabel":"string"},"network":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"uniqueKey":"instrument.data.oneOf.0.binLookup.network","typeLabel":"enum\u003cstring>"},"localNetwork":{"description":"Card local network that supports the card, e.g. CartesBancaires, Dankort, Mada, Bancontact.","type":"string","enum":["bancontact","cartesbancaires","dankort","mada"],"uniqueKey":"instrument.data.oneOf.0.binLookup.localNetwork","typeLabel":"enum\u003cstring>"},"issuer":{"type":"string","description":"Name of the bank or institution that issued the card.","uniqueKey":"instrument.data.oneOf.0.binLookup.issuer","typeLabel":"string"},"issuerCountry":{"description":"Country of the bank or institution that issued the card.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.0.binLookup.issuerCountry.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.0.binLookup.issuerCountry.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.0.binLookup.issuerCountry.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.0.binLookup.issuerCountry","typeLabel":"object"},"segment":{"type":"string","description":"Segment of the card, e.g. gold, black, business.","uniqueKey":"instrument.data.oneOf.0.binLookup.segment","typeLabel":"string"},"type":{"type":"string","description":"Type of the card, e.g. credit, debit, prepaid, gift.","uniqueKey":"instrument.data.oneOf.0.binLookup.type","typeLabel":"string"},"typeDetails":{"type":"string","description":"More information about the card type, e.g. personal, commercial.","uniqueKey":"instrument.data.oneOf.0.binLookup.typeDetails","typeLabel":"string"},"isNetworkToken":{"type":"boolean","description":"Indicates whether the card credential represents a network token rather than a primary account number (PAN).\n","uniqueKey":"instrument.data.oneOf.0.binLookup.isNetworkToken","typeLabel":"boolean"},"isFlexCard":{"type":"boolean","description":"Indicates whether the card is enrolled in a Flexible Credential or Flex Card program supported by the network - e.g. Visa Flexible Credential, Mastercard FlexCard.\n","uniqueKey":"instrument.data.oneOf.0.binLookup.isFlexCard","typeLabel":"boolean"}},"uniqueKey":"instrument.data.oneOf.0.binLookup","typeLabel":"object"},"billingAddress":{"description":"Billing Address of the instrument.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"instrument.data.oneOf.0.billingAddress.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"instrument.data.oneOf.0.billingAddress.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"instrument.data.oneOf.0.billingAddress.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"instrument.data.oneOf.0.billingAddress.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"instrument.data.oneOf.0.billingAddress.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"instrument.data.oneOf.0.billingAddress.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"instrument.data.oneOf.0.billingAddress.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.0.billingAddress.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.0.billingAddress.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.0.billingAddress.country.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.0.billingAddress.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.0.billingAddress.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.0.billingAddress.longitude","typeLabel":"number\u003cfloat>"},"phone":{"description":"The phone to contact in the address (can be different that the customer's).","type":"object","required":["number"],"properties":{"number":{"type":"string","pattern":"^[0-9]+$","description":"The local number of the phone, such that `countryCode` + `number` can be dialed.","isRequired":true,"uniqueKey":"instrument.data.oneOf.0.billingAddress.phone.number","typeLabel":"string"},"countryCode":{"type":"string","pattern":"^\\+?[0-9]+$","description":"International prefix of the phone, if known separately.","uniqueKey":"instrument.data.oneOf.0.billingAddress.phone.countryCode","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.0.billingAddress.phone","typeLabel":"object"},"alias":{"type":"string","description":"Name of the address, e.g. home, work.","uniqueKey":"instrument.data.oneOf.0.billingAddress.alias","typeLabel":"string"},"name":{"type":"string","description":"Name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.0.billingAddress.name","typeLabel":"string"},"lastName":{"type":"string","description":"Last name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.0.billingAddress.lastName","typeLabel":"string"},"email":{"type":"string","description":"Email of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.0.billingAddress.email","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.0.billingAddress","typeLabel":"object"},"expiryMonth":{"type":"string","minLength":2,"maxLength":2,"description":"Expiry month of the Card.","uniqueKey":"instrument.data.oneOf.0.expiryMonth","typeLabel":"string"},"expiryYear":{"type":"string","minLength":4,"maxLength":4,"description":"Expiry year of the Card.","uniqueKey":"instrument.data.oneOf.0.expiryYear","typeLabel":"string"},"holderName":{"type":"string","description":"Name of the owner of the Card.","uniqueKey":"instrument.data.oneOf.0.holderName","typeLabel":"string"},"taxId":{"type":"string","description":"Payer-provided tax identification number (e.g. CPF in Brazil) collected on the instrument.","uniqueKey":"instrument.data.oneOf.0.taxId","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.0","typeLabel":"Card · object"},{"type":"object","title":"BankAccount","description":"Type-specific information about the instrument.","properties":{"holder":{"type":"object","description":"The data structure for a holder's personal information.","properties":{"firstName":{"type":"string","description":"The first name of the account holder.","uniqueKey":"instrument.data.oneOf.1.holder.firstName","typeLabel":"string"},"lastName":{"type":"string","description":"The last name of the account holder.","uniqueKey":"instrument.data.oneOf.1.holder.lastName","typeLabel":"string"},"companyName":{"type":"string","description":"The company name for business holders.","uniqueKey":"instrument.data.oneOf.1.holder.companyName","typeLabel":"string"},"address":{"description":"The address of the account holder.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"instrument.data.oneOf.1.holder.address.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"instrument.data.oneOf.1.holder.address.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"instrument.data.oneOf.1.holder.address.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"instrument.data.oneOf.1.holder.address.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"instrument.data.oneOf.1.holder.address.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"instrument.data.oneOf.1.holder.address.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"instrument.data.oneOf.1.holder.address.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.1.holder.address.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.1.holder.address.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.1.holder.address.country.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.holder.address.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.1.holder.address.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.1.holder.address.longitude","typeLabel":"number\u003cfloat>"},"phone":{"description":"The phone to contact in the address (can be different that the customer's).","type":"object","required":["number"],"properties":{"number":{"type":"string","pattern":"^[0-9]+$","description":"The local number of the phone, such that `countryCode` + `number` can be dialed.","isRequired":true,"uniqueKey":"instrument.data.oneOf.1.holder.address.phone.number","typeLabel":"string"},"countryCode":{"type":"string","pattern":"^\\+?[0-9]+$","description":"International prefix of the phone, if known separately.","uniqueKey":"instrument.data.oneOf.1.holder.address.phone.countryCode","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.holder.address.phone","typeLabel":"object"},"alias":{"type":"string","description":"Name of the address, e.g. home, work.","uniqueKey":"instrument.data.oneOf.1.holder.address.alias","typeLabel":"string"},"name":{"type":"string","description":"Name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.1.holder.address.name","typeLabel":"string"},"lastName":{"type":"string","description":"Last name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.1.holder.address.lastName","typeLabel":"string"},"email":{"type":"string","description":"Email of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.1.holder.address.email","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.holder.address","typeLabel":"object"},"email":{"type":"string","format":"email","description":"The email address of the account holder.","uniqueKey":"instrument.data.oneOf.1.holder.email","typeLabel":"string\u003cemail>"},"dob":{"type":"string","format":"date","description":"The date of birth of the account holder (YYYY-MM-DD).","uniqueKey":"instrument.data.oneOf.1.holder.dob","typeLabel":"string\u003cdate>"},"country":{"description":"The country of the account holder.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.1.holder.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.1.holder.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.1.holder.country.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.holder.country","typeLabel":"object"},"city":{"type":"string","description":"The city of the account holder.","uniqueKey":"instrument.data.oneOf.1.holder.city","typeLabel":"string"},"type":{"type":"string","enum":["individual","corporate"],"description":"The type of account holder.","uniqueKey":"instrument.data.oneOf.1.holder.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"instrument.data.oneOf.1.holder","typeLabel":"object"},"bank":{"type":"object","description":"The data structure for a bank's information.","properties":{"name":{"type":"string","description":"The name of the bank.","uniqueKey":"instrument.data.oneOf.1.bank.name","typeLabel":"string"},"branchCode":{"type":"string","description":"The branch code of the bank.","uniqueKey":"instrument.data.oneOf.1.bank.branchCode","typeLabel":"string"},"code":{"type":"string","description":"The bank code.","uniqueKey":"instrument.data.oneOf.1.bank.code","typeLabel":"string"},"address":{"description":"The address of the bank.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"instrument.data.oneOf.1.bank.address.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"instrument.data.oneOf.1.bank.address.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"instrument.data.oneOf.1.bank.address.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"instrument.data.oneOf.1.bank.address.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"instrument.data.oneOf.1.bank.address.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"instrument.data.oneOf.1.bank.address.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"instrument.data.oneOf.1.bank.address.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.1.bank.address.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.1.bank.address.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.1.bank.address.country.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.bank.address.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.1.bank.address.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.1.bank.address.longitude","typeLabel":"number\u003cfloat>"},"phone":{"description":"The phone to contact in the address (can be different that the customer's).","type":"object","required":["number"],"properties":{"number":{"type":"string","pattern":"^[0-9]+$","description":"The local number of the phone, such that `countryCode` + `number` can be dialed.","isRequired":true,"uniqueKey":"instrument.data.oneOf.1.bank.address.phone.number","typeLabel":"string"},"countryCode":{"type":"string","pattern":"^\\+?[0-9]+$","description":"International prefix of the phone, if known separately.","uniqueKey":"instrument.data.oneOf.1.bank.address.phone.countryCode","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.bank.address.phone","typeLabel":"object"},"alias":{"type":"string","description":"Name of the address, e.g. home, work.","uniqueKey":"instrument.data.oneOf.1.bank.address.alias","typeLabel":"string"},"name":{"type":"string","description":"Name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.1.bank.address.name","typeLabel":"string"},"lastName":{"type":"string","description":"Last name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.1.bank.address.lastName","typeLabel":"string"},"email":{"type":"string","description":"Email of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.1.bank.address.email","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.bank.address","typeLabel":"object"},"swiftCode":{"type":"string","description":"The SWIFT/BIC code of the bank.","uniqueKey":"instrument.data.oneOf.1.bank.swiftCode","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.bank","typeLabel":"object"},"account":{"type":"object","description":"The data structure for an account's information.","properties":{"number":{"type":"string","description":"The bank account number.","uniqueKey":"instrument.data.oneOf.1.account.number","typeLabel":"string"},"iban":{"type":"string","description":"The International Bank Account Number (IBAN).","uniqueKey":"instrument.data.oneOf.1.account.iban","typeLabel":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","example":"USD","description":"ISO 3-letter currency code.","uniqueKey":"instrument.data.oneOf.1.account.currency","typeLabel":"string"},"country":{"description":"The country of the account.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.1.account.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.1.account.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.1.account.country.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.1.account.country","typeLabel":"object"},"type":{"type":"string","enum":["savings","current"],"description":"The type of bank account.","uniqueKey":"instrument.data.oneOf.1.account.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"instrument.data.oneOf.1.account","typeLabel":"object"}},"uniqueKey":"instrument.data.oneOf.1","typeLabel":"BankAccount · object"},{"type":"object","title":"PayPal","description":"Type-specific information about the instrument.","properties":{"email":{"type":"string","description":"Email of the PayPal account.","uniqueKey":"instrument.data.oneOf.2.email","typeLabel":"string"},"payerId":{"type":"string","description":"ID of the PayPal payer account.","uniqueKey":"instrument.data.oneOf.2.payerId","typeLabel":"string"},"billingAddress":{"description":"Billing Address of the instrument.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"instrument.data.oneOf.2.billingAddress.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"instrument.data.oneOf.2.billingAddress.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"instrument.data.oneOf.2.billingAddress.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"instrument.data.oneOf.2.billingAddress.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"instrument.data.oneOf.2.billingAddress.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"instrument.data.oneOf.2.billingAddress.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"instrument.data.oneOf.2.billingAddress.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.2.billingAddress.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.2.billingAddress.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.2.billingAddress.country.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.2.billingAddress.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.2.billingAddress.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.2.billingAddress.longitude","typeLabel":"number\u003cfloat>"},"phone":{"description":"The phone to contact in the address (can be different that the customer's).","type":"object","required":["number"],"properties":{"number":{"type":"string","pattern":"^[0-9]+$","description":"The local number of the phone, such that `countryCode` + `number` can be dialed.","isRequired":true,"uniqueKey":"instrument.data.oneOf.2.billingAddress.phone.number","typeLabel":"string"},"countryCode":{"type":"string","pattern":"^\\+?[0-9]+$","description":"International prefix of the phone, if known separately.","uniqueKey":"instrument.data.oneOf.2.billingAddress.phone.countryCode","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.2.billingAddress.phone","typeLabel":"object"},"alias":{"type":"string","description":"Name of the address, e.g. home, work.","uniqueKey":"instrument.data.oneOf.2.billingAddress.alias","typeLabel":"string"},"name":{"type":"string","description":"Name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.2.billingAddress.name","typeLabel":"string"},"lastName":{"type":"string","description":"Last name of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.2.billingAddress.lastName","typeLabel":"string"},"email":{"type":"string","description":"Email of the person to whom the address belongs to.","uniqueKey":"instrument.data.oneOf.2.billingAddress.email","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.2.billingAddress","typeLabel":"object"}},"uniqueKey":"instrument.data.oneOf.2","typeLabel":"PayPal · object"},{"type":"object","title":"GooglePay","description":"Type-specific information about the instrument.","required":["network","suffix"],"properties":{"network":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"isRequired":true,"uniqueKey":"instrument.data.oneOf.3.network","typeLabel":"enum\u003cstring>"},"suffix":{"type":"string","minLength":4,"maxLength":4,"description":"Last digits of the Card number.","isRequired":true,"uniqueKey":"instrument.data.oneOf.3.suffix","typeLabel":"string"},"networkDisplayName":{"type":"string","description":"Display-friendly name of the network.","uniqueKey":"instrument.data.oneOf.3.networkDisplayName","typeLabel":"string"},"binLookup":{"description":"Information about an issuer.","type":"object","properties":{"network":{"type":"string","description":"Network of the instrument.","enum":["unspecified","visa","visadankort","mastercard","amex","diners","discover","unionpay","unionpayuzcard","maestro","maestrobancontact","hipercard","jcb","jcblankapay","argencard","aura","belkart","bpfuelcard","cabal","carnet","cirrus","chjonesfuelcard","uzcard","codensa","dankort","dinacard","duet","ebt","eftpos","elo","euroshellfuelcard","gecapital","bc","hrgstore","humo","lankapay","lukoilfuelcard","bancontact","meeza","newday","mir","ourocard","pagobancomat","paypak","paypal","phhfuelcard","prostir","rupay","sbercard","sodexo","starrewards","cencosud","naranja","troy","uatp","ukfuelcard","verve","voyager","vpay","wex","cmi","atm","bankcard","localbrand","loyalty","privatelabel","fuelcard","redfuelcard","redliquidfuelcard"],"uniqueKey":"instrument.data.oneOf.3.binLookup.network","typeLabel":"enum\u003cstring>"},"localNetwork":{"description":"Card local network that supports the card, e.g. CartesBancaires, Dankort, Mada, Bancontact.","type":"string","enum":["bancontact","cartesbancaires","dankort","mada"],"uniqueKey":"instrument.data.oneOf.3.binLookup.localNetwork","typeLabel":"enum\u003cstring>"},"issuer":{"type":"string","description":"Name of the bank or institution that issued the card.","uniqueKey":"instrument.data.oneOf.3.binLookup.issuer","typeLabel":"string"},"issuerCountry":{"description":"Country of the bank or institution that issued the card.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.3.binLookup.issuerCountry.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.3.binLookup.issuerCountry.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.3.binLookup.issuerCountry.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.3.binLookup.issuerCountry","typeLabel":"object"},"segment":{"type":"string","description":"Segment of the card, e.g. gold, black, business.","uniqueKey":"instrument.data.oneOf.3.binLookup.segment","typeLabel":"string"},"type":{"type":"string","description":"Type of the card, e.g. credit, debit, prepaid, gift.","uniqueKey":"instrument.data.oneOf.3.binLookup.type","typeLabel":"string"},"typeDetails":{"type":"string","description":"More information about the card type, e.g. personal, commercial.","uniqueKey":"instrument.data.oneOf.3.binLookup.typeDetails","typeLabel":"string"},"isNetworkToken":{"type":"boolean","description":"Indicates whether the card credential represents a network token rather than a primary account number (PAN).\n","uniqueKey":"instrument.data.oneOf.3.binLookup.isNetworkToken","typeLabel":"boolean"},"isFlexCard":{"type":"boolean","description":"Indicates whether the card is enrolled in a Flexible Credential or Flex Card program supported by the network - e.g. Visa Flexible Credential, Mastercard FlexCard.\n","uniqueKey":"instrument.data.oneOf.3.binLookup.isFlexCard","typeLabel":"boolean"}},"uniqueKey":"instrument.data.oneOf.3.binLookup","typeLabel":"object"},"billingAddress":{"description":"Billing Address of the instrument.","type":"object","properties":{"street":{"type":"string","description":"The name of the street of a postal address.","uniqueKey":"instrument.data.oneOf.3.billingAddress.street","typeLabel":"string"},"doorNumber":{"type":"string","description":"The number on the door, building, or room.","uniqueKey":"instrument.data.oneOf.3.billingAddress.doorNumber","typeLabel":"string"},"complement":{"type":"string","description":"Additional addressing information, 2nd line of postal address.","uniqueKey":"instrument.data.oneOf.3.billingAddress.complement","typeLabel":"string"},"area":{"type":"string","description":"The name of the suburb or area within a city.","uniqueKey":"instrument.data.oneOf.3.billingAddress.area","typeLabel":"string"},"city":{"type":"string","description":"The name of the city of a postal address.","uniqueKey":"instrument.data.oneOf.3.billingAddress.city","typeLabel":"string"},"postalCode":{"type":"string","description":"The postal code.","uniqueKey":"instrument.data.oneOf.3.billingAddress.postalCode","typeLabel":"string"},"state":{"type":"string","description":"The name of the state a postal address is in.","uniqueKey":"instrument.data.oneOf.3.billingAddress.state","typeLabel":"string"},"country":{"description":"The country where the address is in.","type":"object","required":["code"],"properties":{"code":{"type":"string","description":"ISO 3166-1 alpha-2 country code.","pattern":"^[A-Z]{2}$","isRequired":true,"uniqueKey":"instrument.data.oneOf.3.billingAddress.country.code","typeLabel":"string"},"iso3":{"type":"string","description":"ISO 3-letter country code. Returned by Payrails, but not interpreted in requests.","pattern":"^[A-Z]{3}$","uniqueKey":"instrument.data.oneOf.3.billingAddress.country.iso3","typeLabel":"string"},"name":{"type":"string","description":"The English name of the country. Returned by Payrails, but not interpreted in requests.","uniqueKey":"instrument.data.oneOf.3.billingAddress.country.name","typeLabel":"string"}},"uniqueKey":"instrument.data.oneOf.3.billingAddress.country","typeLabel":"object"},"latitude":{"type":"number","format":"float","description":"Latitude of the address in the GPS coordinate system.","uniqueKey":"instrument.data.oneOf.3.billingAddress.latitude","typeLabel":"number\u003cfloat>"},"longitude":{"type":"number","format":"float","description":"Longitude 
[...]
